# Interface ShapeModePlotter

All Superinterfaces:
  `ModePlotter<ShapeStyle>, Plotter<ShapeStyle>`

All Known Implementing Classes:
  `ArrayShapePlotter, ShapePlotter`

public interface ShapeModePlotter extends ModePlotter<ShapeStyle>
ModePlotter subclass with ShapeForm for form and ShapeMode for mode.

Since:
  26 Jan 2021
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from interface ModePlotter

`ModePlotter.Form, ModePlotter.Mode`

## Method Summary

Modifier and Type
Method
Description
`ShapeForm`
`getForm()`
Returns the form of this plotter.
`ShapeMode`
`getMode()`
Returns the mode of this plotter.

### Methods inherited from interface Plotter

`createLayer, createStyle, getCoordGroup, getPlotterDescription, getPlotterIcon, getPlotterName, getRangeStyleKey, getStyleKeys, hasReports`

## Method Details

### getForm

ShapeForm getForm()
Description copied from interface: `ModePlotter`
Returns the form of this plotter.

Specified by:
  `getForm` in interface `ModePlotter<ShapeStyle>`
Returns:
  plotter form

### getMode

ShapeMode getMode()
Description copied from interface: `ModePlotter`
Returns the mode of this plotter.

Specified by:
  `getMode` in interface `ModePlotter<ShapeStyle>`
Returns:
  plotter mode